#include "album.h"
#include "track.h"
#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{
  if (argc < 3)
  { fputs ("usage: albumlister <albumfile> <trackfile>\n", stderr);
    exit (1);
  }
  AlbumList *AL = NewAlbumList ();
  ReadAlbumList (AL, argv[1]);
  TrackList *TL = NewTrackList (AL);
  ReadTrackList (TL, argv[2]);
  PrintTrackList (TL);
  DeleteAlbumList (AL);
  DeleteTrackList (TL);
  return 0;
}
