#include "album.h"

typedef struct
{
  int Nr;
  char Title[101];
  int AlbumId;
  Album *OnAlbum;
} Track;

typedef struct
{
  Track **Tracks;
  int Count;
  int Allocated;
  AlbumList *Albums;
} TrackList;

TrackList *NewTrackList (AlbumList *AL);
void DeleteTrackList (TrackList *TL);
Track *NewTrack (TrackList *TL);
void ReadTrackList (TrackList *TL, char *FileName);
void PrintTrackList (TrackList *TL);
void PrintTrack (Track *T);
