#ifndef ALBUM_H
#define ALBUM_H

typedef struct
{
  int Id;
  char Title[101];
  char Artist[101];
  int Year;
} Album;

typedef struct
{
  Album **Albums;
  int Count;
  int Allocated;
} AlbumList;

AlbumList *NewAlbumList ();
void DeleteAlbumList (AlbumList *AL);
Album *NewAlbum (AlbumList *AL);
void ReadAlbumList (AlbumList *AL, char *FileName);
Album *FindAlbum (AlbumList *AL, int Id);
void PrintAlbum (Album *A);

void StringSubst (char *s, char old, char new);  // gehrt eigtl. nicht hierher

#endif
